FROM python:3.10-slim AS build
RUN pip install --no-cache-dir mkdocs
WORKDIR /mkdocs
COPY docs docs
COPY theme theme
COPY mkdocs-staging.yml .
RUN mkdocs build -f mkdocs-staging.yml --strict --verbose --site-dir /site

FROM nginx
WORKDIR /usr/share/nginx/html
COPY --from=build /site .
